- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 5fc6d23b-510a-4d62-9e77-8ba7ff7b4800
    creation_time: 2023-02-17T13:40:16.670476Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loops-crafted-1/mono-crafted_1.c
      input_file_hashes:
        c/loops-crafted-1/mono-crafted_1.c: 00e8f12f1d0e3d2fc679744754ceeef2daa37b874cd8db07b5ab8c35684165c0
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loops-crafted-1/mono-crafted_1.c
    file_hash: 00e8f12f1d0e3d2fc679744754ceeef2daa37b874cd8db07b5ab8c35684165c0
    line: 10
    column: 0
    function: main
  loop_invariant:
    string: z == 0 && (x < y && y == 50000 || 50000 <= x && x == y)
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 19cd7fd9-08d9-4e2d-83c6-5ee1c78441bd
    creation_time: 2023-02-17T13:40:16.670649Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loops-crafted-1/mono-crafted_1.c
      input_file_hashes:
        c/loops-crafted-1/mono-crafted_1.c: 00e8f12f1d0e3d2fc679744754ceeef2daa37b874cd8db07b5ab8c35684165c0
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loops-crafted-1/mono-crafted_1.c
    file_hash: 00e8f12f1d0e3d2fc679744754ceeef2daa37b874cd8db07b5ab8c35684165c0
    line: 18
    column: 0
    function: main
  loop_invariant:
    string: x == y && y >= z
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 3e0bfb6d-9313-4109-96ee-80eaf9958f34
    creation_time: 2023-02-17T13:40:16.670952Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loops-crafted-1/mono-crafted_1.c
      input_file_hashes:
        c/loops-crafted-1/mono-crafted_1.c: 00e8f12f1d0e3d2fc679744754ceeef2daa37b874cd8db07b5ab8c35684165c0
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loops-crafted-1/mono-crafted_1.c
    file_hash: 00e8f12f1d0e3d2fc679744754ceeef2daa37b874cd8db07b5ab8c35684165c0
    line: 23
    column: 0
    function: main
  location_invariant:
    string: x == z
    type: assertion
    format: C

